import { Image, View } from "@tarojs/components"
import styles from './index.module.scss'

export type colorItem = {
    title: string,
    img: string
}
export type colorParams = {
    value?: colorItem,
    show?: false|true
    onClose?: () => void
}
export default ({value, show = false, onClose}: colorParams) => {
    return (
        <>
            {show&&<View className={styles.main} catch-move="true" onClick={() => onClose?.()}>
                <View className={styles.con}>
                    <Image mode="aspectFill" src={value?.img as string}/>
                    <View className={styles.name}>{value?.title}</View>
                </View>
            </View>}
        </>
    )
}