import Taro, { usePullDownRefresh } from "@tarojs/taro"
import { useCallback, useState } from "react"

type Arg = {[index:string]:any}
export default (fn?:(val:Arg) => any, arg?:Arg) => {
    const [data, setData] = useState({})

    usePullDownRefresh(() => {
        getData()
    })

    const getData = useCallback(() => {
        setTimeout(() => {
            const res = fn?.({...arg})
            setData((e) => ({...e, res}))
            Taro.stopPullDownRefresh()
        }, 1000)
    }, [])

    return {
        getData,
        data
    }
}